#   Copyright (C) 1987-1999 by Jeffery P. Hansen
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# Last edit by hansen on Thu Apr 29 18:16:31 1999
#

proc showDocFile {label file} {
  global tkg_gateHome

  if { [catch { toplevel .docwin}] } {
    catch { raise .docwin }
    return;
  }

  wm resizable .docwin 0 0
  wm title .docwin $label


  button .docwin.dismiss -text Dismiss -command "destroy .docwin"
  scrollbar .docwin.scroll -command ".docwin.text yview"
  text .docwin.text -yscrollcommand ".docwin.scroll set"

  pack .docwin.dismiss -side bottom -fill x
  pack .docwin.text .docwin.scroll -side left -fill y

  set f [open $tkg_gateHome/doc/$file]
  .docwin.text insert end [read $f]
  close $f
  .docwin.text configure -state disabled
}

proc showLicense {} {
  showDocFile "TkGate License" "license.txt"
}

proc showDocumentation {} {
  showDocFile "TkGate Documentation" "documentation.txt"
}

proc showAbout {} {
  global bd

  if { [catch { toplevel .about}] } {
    catch { raise .about }
    return;
  }

  button .about.dismiss -text Dismiss -command "destroy .about"
  label .about.logo -relief groove -bitmap "@$bd/biggatelogo.xbm"
  label .about.label -text {
TKGate V1.0 - Digital Circuit Editor and Simulator
Copyright (C) 1998 Jeffery P. Hansen
hansen@cmu.edu
}

  pack .about.logo -padx 10 -pady 10  -ipadx 10 -ipady 10
  pack .about.label -padx 10 -pady 10
  pack .about.dismiss -padx 10 -pady 10
}
